module github.com/fonchain-artistserver

go 1.17

replace (
	github.com/fonchain/electronic-contract => ../electronic-contract
	github.com/fonchain/utils/objstorage => ../utils/objstorage
	github.com/fonchain/utils/utils => ../utils/utils
	github.com/fonchain_enterprise/utils/aes => ../utils/aes
	github.com/fonchain_enterprise/utils/baidu => ../utils/baidu
	github.com/fonchain_enterprise/utils/chain => ../utils/chain
	github.com/fonchain_enterprise/utils/jwt => ../utils/jwt
	github.com/fonchain_enterprise/utils/rand => ../utils/rand
)

require (
	dubbo.apache.org/dubbo-go/v3 v3.0.1
	github.com/dubbogo/grpc-go v1.42.9
	github.com/dubbogo/triple v1.1.8
	github.com/fonchain/utils/objstorage v0.0.0-00010101000000-000000000000
	github.com/fonchain/utils/utils v0.0.0-00010101000000-000000000000
	github.com/fonchain_enterprise/utils/aes v0.0.0-00010101000000-000000000000
	github.com/gin-gonic/gin v1.8.1
	github.com/go-redis/redis v6.15.9+incompatible
	github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0
	github.com/nfnt/resize v0.0.0-20180221191011-83c6a9932646
	go.uber.org/zap v1.21.0
	golang.org/x/image v0.0.0-20190802002840-cff245a6509b
	google.golang.org/protobuf v1.28.0
	gopkg.in/ini.v1 v1.66.4
	gorm.io/driver/mysql v1.4.4
	gorm.io/gorm v1.24.1
)

require (
	github.com/baidubce/bce-sdk-go v0.9.138 // indirect
	github.com/baiyubin/aliyun-sts-go-sdk v0.0.0-20180326062324-cfa1a18b161f // indirect
	github.com/spf13/viper v1.11.0 // indirect
)
